Merge from emacs-24; up to 2012-04-25T15:23:19Z!sdl.web@gmail.com
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2012 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.in, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module careadlinkat:
44 # Code from module crypto/md5:
45 # Code from module crypto/sha1:
46 # Code from module crypto/sha256:
47 # Code from module crypto/sha512:
48 # Code from module dosname:
49 # Code from module dtoastr:
50 # Code from module dup2:
51 # Code from module extensions:
52 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
53 # Code from module filemode:
54 # Code from module getloadavg:
55 # Code from module getopt-gnu:
56 # Code from module getopt-posix:
57 # Code from module gettext-h:
58 # Code from module ignore-value:
59 # Code from module include_next:
60 # Code from module intprops:
61 # Code from module inttypes-incomplete:
62 # Code from module largefile:
63 AC_REQUIRE([AC_SYS_LARGEFILE])
64 # Code from module lstat:
65 # Code from module manywarnings:
66 # Code from module mktime:
67 # Code from module multiarch:
68 # Code from module nocrash:
69 # Code from module pathmax:
70 # Code from module pthread_sigmask:
71 # Code from module readlink:
72 # Code from module signal-h:
73 # Code from module sigprocmask:
74 # Code from module snippet/_Noreturn:
75 # Code from module snippet/arg-nonnull:
76 # Code from module snippet/c++defs:
77 # Code from module snippet/warn-on-use:
78 # Code from module socklen:
79 # Code from module ssize_t:
80 # Code from module stat:
81 # Code from module stdalign:
82 # Code from module stdarg:
83 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
84 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
85 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
86 dnl shouldn't hurt, though installers are on their own to set c99 mode.
87 gl_PROG_CC_C99
88 # Code from module stdbool:
89 # Code from module stddef:
90 # Code from module stdint:
91 # Code from module stdio:
92 # Code from module stdlib:
93 # Code from module strftime:
94 # Code from module strtoimax:
95 # Code from module strtoll:
96 # Code from module strtoull:
97 # Code from module strtoumax:
98 # Code from module symlink:
99 # Code from module sys_stat:
100 # Code from module sys_types:
101 # Code from module time:
102 # Code from module time_r:
103 # Code from module u64:
104 # Code from module unistd:
105 # Code from module verify:
106 # Code from module warnings:
107 ])
108
109 # This macro should be invoked from ./configure.in, in the section
110 # "Check for header files, types and library functions".
111 AC_DEFUN([gl_INIT],
112 [
113 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
114 gl_cond_libtool=false
115 gl_libdeps=
116 gl_ltlibdeps=
117 gl_m4_base='m4'
118 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
119 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
120 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
121 m4_pushdef([gl_LIBSOURCES_LIST], [])
122 m4_pushdef([gl_LIBSOURCES_DIR], [])
123 gl_COMMON
124 gl_source_base='lib'
125 gl_FUNC_ALLOCA
126 AC_CHECK_FUNCS_ONCE([readlinkat])
127 gl_MD5
128 gl_SHA1
129 gl_SHA256
130 gl_SHA512
131 AC_REQUIRE([gl_C99_STRTOLD])
132 gl_FUNC_DUP2
133 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
134 AC_LIBOBJ([dup2])
135 gl_PREREQ_DUP2
136 fi
137 gl_UNISTD_MODULE_INDICATOR([dup2])
138 gl_FILEMODE
139 gl_GETLOADAVG
140 if test $HAVE_GETLOADAVG = 0; then
141 AC_LIBOBJ([getloadavg])
142 gl_PREREQ_GETLOADAVG
143 fi
144 gl_STDLIB_MODULE_INDICATOR([getloadavg])
145 gl_FUNC_GETOPT_GNU
146 if test $REPLACE_GETOPT = 1; then
147 AC_LIBOBJ([getopt])
148 AC_LIBOBJ([getopt1])
149 gl_PREREQ_GETOPT
150 dnl Arrange for unistd.h to include getopt.h.
151 GNULIB_GL_UNISTD_H_GETOPT=1
152 fi
153 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
154 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
155 gl_FUNC_GETOPT_POSIX
156 if test $REPLACE_GETOPT = 1; then
157 AC_LIBOBJ([getopt])
158 AC_LIBOBJ([getopt1])
159 gl_PREREQ_GETOPT
160 dnl Arrange for unistd.h to include getopt.h.
161 GNULIB_GL_UNISTD_H_GETOPT=1
162 fi
163 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
164 AC_REQUIRE([AC_C_INLINE])
165 gl_INTTYPES_INCOMPLETE
166 AC_REQUIRE([gl_LARGEFILE])
167 gl_FUNC_LSTAT
168 if test $REPLACE_LSTAT = 1; then
169 AC_LIBOBJ([lstat])
170 gl_PREREQ_LSTAT
171 fi
172 gl_SYS_STAT_MODULE_INDICATOR([lstat])
173 gl_FUNC_MKTIME
174 if test $REPLACE_MKTIME = 1; then
175 AC_LIBOBJ([mktime])
176 gl_PREREQ_MKTIME
177 fi
178 gl_TIME_MODULE_INDICATOR([mktime])
179 gl_MULTIARCH
180 gl_FUNC_PTHREAD_SIGMASK
181 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
182 AC_LIBOBJ([pthread_sigmask])
183 gl_PREREQ_PTHREAD_SIGMASK
184 fi
185 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
186 gl_FUNC_READLINK
187 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
188 AC_LIBOBJ([readlink])
189 gl_PREREQ_READLINK
190 fi
191 gl_UNISTD_MODULE_INDICATOR([readlink])
192 gl_SIGNAL_H
193 gl_TYPE_SOCKLEN_T
194 gt_TYPE_SSIZE_T
195 gl_STDALIGN_H
196 gl_STDARG_H
197 AM_STDBOOL_H
198 gl_STDDEF_H
199 gl_STDINT_H
200 gl_STDIO_H
201 gl_STDLIB_H
202 gl_FUNC_GNU_STRFTIME
203 gl_FUNC_STRTOIMAX
204 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
205 AC_LIBOBJ([strtoimax])
206 gl_PREREQ_STRTOIMAX
207 fi
208 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
209 gl_FUNC_STRTOUMAX
210 if test $ac_cv_func_strtoumax = no; then
211 AC_LIBOBJ([strtoumax])
212 gl_PREREQ_STRTOUMAX
213 fi
214 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
215 gl_FUNC_SYMLINK
216 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
217 AC_LIBOBJ([symlink])
218 fi
219 gl_UNISTD_MODULE_INDICATOR([symlink])
220 gl_HEADER_SYS_STAT_H
221 AC_PROG_MKDIR_P
222 gl_SYS_TYPES_H
223 AC_PROG_MKDIR_P
224 gl_HEADER_TIME_H
225 gl_TIME_R
226 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
227 AC_LIBOBJ([time_r])
228 gl_PREREQ_TIME_R
229 fi
230 gl_TIME_MODULE_INDICATOR([time_r])
231 AC_REQUIRE([AC_C_INLINE])
232 gl_UNISTD_H
233 gl_gnulib_enabled_dosname=false
234 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
235 gl_gnulib_enabled_pathmax=false
236 gl_gnulib_enabled_sigprocmask=false
237 gl_gnulib_enabled_stat=false
238 gl_gnulib_enabled_strtoll=false
239 gl_gnulib_enabled_strtoull=false
240 gl_gnulib_enabled_verify=false
241 func_gl_gnulib_m4code_dosname ()
242 {
243 if ! $gl_gnulib_enabled_dosname; then
244 gl_gnulib_enabled_dosname=true
245 fi
246 }
247 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
248 {
249 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
250 AC_SUBST([LIBINTL])
251 AC_SUBST([LTLIBINTL])
252 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
253 fi
254 }
255 func_gl_gnulib_m4code_pathmax ()
256 {
257 if ! $gl_gnulib_enabled_pathmax; then
258 gl_PATHMAX
259 gl_gnulib_enabled_pathmax=true
260 fi
261 }
262 func_gl_gnulib_m4code_sigprocmask ()
263 {
264 if ! $gl_gnulib_enabled_sigprocmask; then
265 gl_SIGNALBLOCKING
266 if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
267 AC_LIBOBJ([sigprocmask])
268 gl_PREREQ_SIGPROCMASK
269 fi
270 gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
271 gl_gnulib_enabled_sigprocmask=true
272 fi
273 }
274 func_gl_gnulib_m4code_stat ()
275 {
276 if ! $gl_gnulib_enabled_stat; then
277 gl_FUNC_STAT
278 if test $REPLACE_STAT = 1; then
279 AC_LIBOBJ([stat])
280 gl_PREREQ_STAT
281 fi
282 gl_SYS_STAT_MODULE_INDICATOR([stat])
283 gl_gnulib_enabled_stat=true
284 if test $REPLACE_STAT = 1; then
285 func_gl_gnulib_m4code_dosname
286 fi
287 if test $REPLACE_STAT = 1; then
288 func_gl_gnulib_m4code_pathmax
289 fi
290 if test $REPLACE_STAT = 1; then
291 func_gl_gnulib_m4code_verify
292 fi
293 fi
294 }
295 func_gl_gnulib_m4code_strtoll ()
296 {
297 if ! $gl_gnulib_enabled_strtoll; then
298 gl_FUNC_STRTOLL
299 if test $HAVE_STRTOLL = 0; then
300 AC_LIBOBJ([strtoll])
301 gl_PREREQ_STRTOLL
302 fi
303 gl_STDLIB_MODULE_INDICATOR([strtoll])
304 gl_gnulib_enabled_strtoll=true
305 fi
306 }
307 func_gl_gnulib_m4code_strtoull ()
308 {
309 if ! $gl_gnulib_enabled_strtoull; then
310 gl_FUNC_STRTOULL
311 if test $HAVE_STRTOULL = 0; then
312 AC_LIBOBJ([strtoull])
313 gl_PREREQ_STRTOULL
314 fi
315 gl_STDLIB_MODULE_INDICATOR([strtoull])
316 gl_gnulib_enabled_strtoull=true
317 fi
318 }
319 func_gl_gnulib_m4code_verify ()
320 {
321 if ! $gl_gnulib_enabled_verify; then
322 gl_gnulib_enabled_verify=true
323 fi
324 }
325 if test $REPLACE_GETOPT = 1; then
326 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
327 fi
328 if test $REPLACE_LSTAT = 1; then
329 func_gl_gnulib_m4code_dosname
330 fi
331 if test $REPLACE_LSTAT = 1; then
332 func_gl_gnulib_m4code_stat
333 fi
334 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
335 func_gl_gnulib_m4code_sigprocmask
336 fi
337 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
338 func_gl_gnulib_m4code_stat
339 fi
340 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
341 func_gl_gnulib_m4code_strtoll
342 fi
343 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
344 func_gl_gnulib_m4code_verify
345 fi
346 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
347 func_gl_gnulib_m4code_strtoull
348 fi
349 if test $ac_cv_func_strtoumax = no; then
350 func_gl_gnulib_m4code_verify
351 fi
352 m4_pattern_allow([^gl_GNULIB_ENABLED_])
353 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
354 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
355 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
356 AM_CONDITIONAL([gl_GNULIB_ENABLED_sigprocmask], [$gl_gnulib_enabled_sigprocmask])
357 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
358 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
359 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
360 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
361 # End of code from modules
362 m4_ifval(gl_LIBSOURCES_LIST, [
363 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
364 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
365 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
366 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
367 exit 1
368 fi
369 done])dnl
370 m4_if(m4_sysval, [0], [],
371 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
372 ])
373 m4_popdef([gl_LIBSOURCES_DIR])
374 m4_popdef([gl_LIBSOURCES_LIST])
375 m4_popdef([AC_LIBSOURCES])
376 m4_popdef([AC_REPLACE_FUNCS])
377 m4_popdef([AC_LIBOBJ])
378 AC_CONFIG_COMMANDS_PRE([
379 gl_libobjs=
380 gl_ltlibobjs=
381 if test -n "$gl_LIBOBJS"; then
382 # Remove the extension.
383 sed_drop_objext='s/\.o$//;s/\.obj$//'
384 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
385 gl_libobjs="$gl_libobjs $i.$ac_objext"
386 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
387 done
388 fi
389 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
390 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
391 ])
392 gltests_libdeps=
393 gltests_ltlibdeps=
394 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
395 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
396 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
397 m4_pushdef([gltests_LIBSOURCES_LIST], [])
398 m4_pushdef([gltests_LIBSOURCES_DIR], [])
399 gl_COMMON
400 gl_source_base='tests'
401 changequote(,)dnl
402 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
403 changequote([, ])dnl
404 AC_SUBST([gltests_WITNESS])
405 gl_module_indicator_condition=$gltests_WITNESS
406 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
407 m4_pattern_allow([^gl_GNULIB_ENABLED_])
408 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
409 m4_ifval(gltests_LIBSOURCES_LIST, [
410 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
411 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
412 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
413 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
414 exit 1
415 fi
416 done])dnl
417 m4_if(m4_sysval, [0], [],
418 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
419 ])
420 m4_popdef([gltests_LIBSOURCES_DIR])
421 m4_popdef([gltests_LIBSOURCES_LIST])
422 m4_popdef([AC_LIBSOURCES])
423 m4_popdef([AC_REPLACE_FUNCS])
424 m4_popdef([AC_LIBOBJ])
425 AC_CONFIG_COMMANDS_PRE([
426 gltests_libobjs=
427 gltests_ltlibobjs=
428 if test -n "$gltests_LIBOBJS"; then
429 # Remove the extension.
430 sed_drop_objext='s/\.o$//;s/\.obj$//'
431 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
432 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
433 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
434 done
435 fi
436 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
437 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
438 ])
439 LIBGNU_LIBDEPS="$gl_libdeps"
440 AC_SUBST([LIBGNU_LIBDEPS])
441 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
442 AC_SUBST([LIBGNU_LTLIBDEPS])
443 ])
444
445 # Like AC_LIBOBJ, except that the module name goes
446 # into gl_LIBOBJS instead of into LIBOBJS.
447 AC_DEFUN([gl_LIBOBJ], [
448 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
449 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
450 ])
451
452 # Like AC_REPLACE_FUNCS, except that the module name goes
453 # into gl_LIBOBJS instead of into LIBOBJS.
454 AC_DEFUN([gl_REPLACE_FUNCS], [
455 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
456 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
457 ])
458
459 # Like AC_LIBSOURCES, except the directory where the source file is
460 # expected is derived from the gnulib-tool parameterization,
461 # and alloca is special cased (for the alloca-opt module).
462 # We could also entirely rely on EXTRA_lib..._SOURCES.
463 AC_DEFUN([gl_LIBSOURCES], [
464 m4_foreach([_gl_NAME], [$1], [
465 m4_if(_gl_NAME, [alloca.c], [], [
466 m4_define([gl_LIBSOURCES_DIR], [lib])
467 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
468 ])
469 ])
470 ])
471
472 # Like AC_LIBOBJ, except that the module name goes
473 # into gltests_LIBOBJS instead of into LIBOBJS.
474 AC_DEFUN([gltests_LIBOBJ], [
475 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
476 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
477 ])
478
479 # Like AC_REPLACE_FUNCS, except that the module name goes
480 # into gltests_LIBOBJS instead of into LIBOBJS.
481 AC_DEFUN([gltests_REPLACE_FUNCS], [
482 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
483 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
484 ])
485
486 # Like AC_LIBSOURCES, except the directory where the source file is
487 # expected is derived from the gnulib-tool parameterization,
488 # and alloca is special cased (for the alloca-opt module).
489 # We could also entirely rely on EXTRA_lib..._SOURCES.
490 AC_DEFUN([gltests_LIBSOURCES], [
491 m4_foreach([_gl_NAME], [$1], [
492 m4_if(_gl_NAME, [alloca.c], [], [
493 m4_define([gltests_LIBSOURCES_DIR], [tests])
494 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
495 ])
496 ])
497 ])
498
499 # This macro records the list of files which have been installed by
500 # gnulib-tool and may be removed by future gnulib-tool invocations.
501 AC_DEFUN([gl_FILE_LIST], [
502 build-aux/snippet/_Noreturn.h
503 build-aux/snippet/arg-nonnull.h
504 build-aux/snippet/c++defs.h
505 build-aux/snippet/warn-on-use.h
506 lib/alloca.in.h
507 lib/allocator.c
508 lib/allocator.h
509 lib/careadlinkat.c
510 lib/careadlinkat.h
511 lib/dosname.h
512 lib/dtoastr.c
513 lib/dup2.c
514 lib/filemode.c
515 lib/filemode.h
516 lib/ftoastr.c
517 lib/ftoastr.h
518 lib/getloadavg.c
519 lib/getopt.c
520 lib/getopt.in.h
521 lib/getopt1.c
522 lib/getopt_int.h
523 lib/gettext.h
524 lib/ignore-value.h
525 lib/intprops.h
526 lib/inttypes.in.h
527 lib/lstat.c
528 lib/md5.c
529 lib/md5.h
530 lib/mktime-internal.h
531 lib/mktime.c
532 lib/pathmax.h
533 lib/pthread_sigmask.c
534 lib/readlink.c
535 lib/sha1.c
536 lib/sha1.h
537 lib/sha256.c
538 lib/sha256.h
539 lib/sha512.c
540 lib/sha512.h
541 lib/signal.in.h
542 lib/sigprocmask.c
543 lib/stat.c
544 lib/stdalign.in.h
545 lib/stdarg.in.h
546 lib/stdbool.in.h
547 lib/stddef.in.h
548 lib/stdint.in.h
549 lib/stdio.in.h
550 lib/stdlib.in.h
551 lib/strftime.c
552 lib/strftime.h
553 lib/strtoimax.c
554 lib/strtol.c
555 lib/strtoll.c
556 lib/strtoul.c
557 lib/strtoull.c
558 lib/strtoumax.c
559 lib/symlink.c
560 lib/sys_stat.in.h
561 lib/sys_types.in.h
562 lib/time.in.h
563 lib/time_r.c
564 lib/u64.h
565 lib/unistd.in.h
566 lib/verify.h
567 m4/00gnulib.m4
568 m4/alloca.m4
569 m4/c-strtod.m4
570 m4/dup2.m4
571 m4/extensions.m4
572 m4/filemode.m4
573 m4/getloadavg.m4
574 m4/getopt.m4
575 m4/gnulib-common.m4
576 m4/include_next.m4
577 m4/inttypes.m4
578 m4/largefile.m4
579 m4/longlong.m4
580 m4/lstat.m4
581 m4/manywarnings.m4
582 m4/md5.m4
583 m4/mktime.m4
584 m4/multiarch.m4
585 m4/nocrash.m4
586 m4/off_t.m4
587 m4/pathmax.m4
588 m4/pthread_sigmask.m4
589 m4/readlink.m4
590 m4/sha1.m4
591 m4/sha256.m4
592 m4/sha512.m4
593 m4/signal_h.m4
594 m4/signalblocking.m4
595 m4/socklen.m4
596 m4/ssize_t.m4
597 m4/st_dm_mode.m4
598 m4/stat.m4
599 m4/stdalign.m4
600 m4/stdarg.m4
601 m4/stdbool.m4
602 m4/stddef_h.m4
603 m4/stdint.m4
604 m4/stdio_h.m4
605 m4/stdlib_h.m4
606 m4/strftime.m4
607 m4/strtoimax.m4
608 m4/strtoll.m4
609 m4/strtoull.m4
610 m4/strtoumax.m4
611 m4/symlink.m4
612 m4/sys_stat_h.m4
613 m4/sys_types_h.m4
614 m4/time_h.m4
615 m4/time_r.m4
616 m4/tm_gmtoff.m4
617 m4/unistd_h.m4
618 m4/warn-on-use.m4
619 m4/warnings.m4
620 m4/wchar_t.m4
621 ])